picard.fastq

## Interface ReadNameEncoder

- All Known Implementing Classes:
    Casava18ReadNameEncoder, IlluminaReadNameEncoder

      public interface ReadNameEncoder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateReadName(ClusterData cluster, Integer pairNumber)` Generates a read name string for the provided cluster.

- - ### Method Detail

    - #### generateReadName

          String generateReadName(ClusterData cluster,
                                  Integer pairNumber)

      Generates a read name string for the provided cluster.
      Parameters:
        `cluster` - The cluster whose reads are having its name generated
        `pairNumber` - 1 if this is the first of the pair, 2 if it is the second, or null if this not a paired read.
      Returns:
        The read name